Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Keyword Class Reference

FieldValue CriterionHandler handling ezkeyword External Storage for Legacy/SQL Search. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Keyword:

## Public Member Functions
| handle (SelectQuery $query, Criterion $criterion, $column)
| Generates query expression for operator and value of a Field Criterion. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection
| __construct (DatabaseHandler $dbHandler, TransformationProcessor $transformationProcessor, $separator)
| Creates a new criterion handler. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler
| __construct (DatabaseHandler $dbHandler, TransformationProcessor $transformationProcessor)
| Creates a new criterion handler. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler
| prepareLikeString ($string)
| Returns the given $string prepared for use in SQL LIKE clause. More...
| lowerCase ($string)
| Downcases a given string using string transformation processor. More...
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection
| $separator
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler
| $dbHandler
| $comparatorMap
| $transformationProcessor

## Detailed Description

FieldValue CriterionHandler handling ezkeyword External Storage for Legacy/SQL Search.

Definition at line 15 of file Keyword.php.

## Member Function Documentation

## ◆ handle()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Keyword::handle | ( | SelectQuery | $query,
|  | Criterion | $criterion,
|  |  | $column
| ) |  |

Generates query expression for operator and value of a Field Criterion.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  string | $column |

Returns
  \eZ\Publish\Core\Persistence\Database\Expression

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection.

Definition at line 26 of file Keyword.php.

References eZ\Publish\Core\Persistence\Database\SelectQuery\innerJoin().

The documentation for this class was generated from the following file:

- Keyword.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.